MWTransclusionNode.static.toDomElements throwing Object [object Text] has no method 'setAttribute'
Closed, ResolvedPublic


I opened VE and placed my cursor at the bottom of an article.
After adding a "navbox" template through the transclusion editor, the Save button was green (not grayed out), but pressing it did not bring up the save dialog. Making other changes did not help. Tested on current FF and Chrome, Mac OS.

The edit I wanted to make:

Version: unspecified
Severity: normal
See Also:

bzimport set Reference to bz55985.
PEarleyWMF created this task.Via LegacyOct 22 2013, 6:00 AM
Mdennis-WMF added a comment.Via ConduitJan 2 2014, 4:38 PM

I encountered the same issue with a template added to the bottom of a page, this one on office wiki constructed of other templates. I didn't test

I was using Chrome on Windows 7.

For those with office access, I was trying to add my routine entry to

Since I could not save (even when I tried other changes to the page), I wound up doing it manually.

Elitre added a comment.Via ConduitJan 12 2014, 4:57 PM

Same on the Italian Wikipedia (when you try to add the equivalent of Template:Sister).

The template I wanted to add is the one highlighted in .

Please notice the switch to wikitext option didn't work as well.
The message asking for confirmation was displayed (twice, the second time with an option to dismiss further questions), but nothing happened.

Jdforrester-WMF added a comment.Via ConduitJan 14 2014, 5:42 AM

This bug's symptoms are because it's throwing a fatal JS error (this is why nothing works once the bug happens – you can't save, you can't switch to source mode, you can't do anything).

The bug occurs when the transclusion is converted to Parsoid HTML.


Uncaught TypeError: Object [object Text] has no method 'setAttribute'
oo.EventEmitter.emit oojs.js:593
OO.ui.ButtonWidget.onClick oojs-ui.js:4246

Jdforrester-WMF added a comment.Via ConduitJan 15 2014, 2:36 AM

Bug 59002 reflects the issues in comment 1 onwards, but cannot have been the reason for the initial problem (because that code didn't exist in October).

So the rest of this issue is "fixed", but the underlying one isn't, sorry. :-(

Resetting to "normal" priority.

Krenair added a comment.Via ConduitFeb 16 2014, 5:58 PM

How do you replicate this issue?

Esanders added a comment.Via ConduitFeb 18 2014, 7:36 PM

Almost certainly fixed by as we no longer send generated HTML to Parsoid.

Add Comment